## r-cran-rsolnp 1.14%2Bdfsg

=== debian/changelog ===
r-cran-rsolnp (1.14+dfsg-1) unstable; urgency=low

  * Initial release (closes: #753125)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jun 2014 11:47:43 +0200

## r-cran-rsolnp 1.14+dfsg

=== DESCRIPTION ===
Package: Rsolnp
Type: Package
Title: General Non-linear Optimization
Version: 1.14
Date: 2012-12-05
Author: Alexios Ghalanos and Stefan Theussl
Maintainer: Alexios Ghalanos <alexios@4dscape.com>
Depends: R (>= 2.10.0), stats, truncnorm, parallel
Description: General Non-linear Optimization Using Augmented Lagrange
        Multiplier Method
LazyLoad: yes
License: GPL
Repository: CRAN
Repository/R-Forge/Project: rino
Repository/R-Forge/Revision: 92
Repository/R-Forge/DateTimeStamp: 2012-12-08 17:00:56
Date/Publication: 2012-12-14 10:27:02
Packaged: 2012-12-12 19:17:57 UTC; rforge

=== debian/control ===
Source: r-cran-rsolnp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-truncnorm
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rsolnp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rsolnp/trunk/
Homepage: http://cran.r-project.org/web/packages/Rsolnp

Package: r-cran-rsolnp
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-truncnorm
Description: GNU R general non-linear optimization
 This GNU R package provides general non-linear optimization using
 augmented lagrange multiplier method

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
  http://cran.r-project.org/src/contrib/Rsolnp_([-\d.]*)\.tar\.gz

## r-cran-rsolnp 1.16+dfsg

=== DESCRIPTION ===
Package: Rsolnp
Type: Package
Title: General Non-Linear Optimization
Version: 1.16
Date: 2015-07-02
Author: Alexios Ghalanos and Stefan Theussl
Maintainer: Alexios Ghalanos <alexios@4dscape.com>
Depends: R (>= 2.10.0)
Imports: truncnorm, parallel, stats
Description: General Non-linear Optimization Using Augmented Lagrange Multiplier Method.
LazyLoad: yes
License: GPL
Repository: CRAN
Repository/R-Forge/Project: rino
Repository/R-Forge/Revision: 102
Repository/R-Forge/DateTimeStamp: 2015-07-04 02:08:32
Date/Publication: 2015-12-28 09:01:11
NeedsCompilation: no
Packaged: 2015-07-08 12:20:39 UTC; rforge

=== debian/changelog ===
r-cran-rsolnp (1.16+dfsg-1) unstable; urgency=medium

  * New upstream version
  * xz compression in d/watch
  * Convert to dh-r
  * Canonical homepage for CRAN

 -- Andreas Tille <tille@debian.org>  Sun, 06 Nov 2016 09:45:21 +0100

=== debian/control ===
Source: r-cran-rsolnp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-cran-truncnorm
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rsolnp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rsolnp/trunk/
Homepage: https://cran.r-project.org/package=Rsolnp

Package: r-cran-rsolnp
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R general non-linear optimization
 This GNU R package provides general non-linear optimization using
 augmented lagrange multiplier method

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://cran.r-project.org/src/contrib/Rsolnp_([-\d.]*)\.tar\.gz

## r-cran-rsolnp 2.0.1

=== debian/changelog ===
r-cran-rsolnp (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version, license clarified to be GPL-2.
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Feb 2026 09:17:08 +0900

r-cran-rsolnp (1.16+dfsg-4) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 22:26:36 +0200

r-cran-rsolnp (1.16+dfsg-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 22:50:36 +0200

r-cran-rsolnp (1.16+dfsg-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Secure watch file
  * Testsuite: autopkgtest-pkg-r
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2017 21:25:13 +0100

=== debian/control ===
Source: r-cran-rsolnp
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-rcpp,
 r-cran-truncnorm,
 r-cran-numderiv,
 r-cran-future.apply,
 r-cran-rcpparmadillo,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rsolnp
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rsolnp.git
Homepage: https://cran.r-project.org/package=Rsolnp
Rules-Requires-Root: no

Package: r-cran-rsolnp
Architecture: all
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R general non-linear optimization
 This GNU R package provides general non-linear optimization using
 augmented lagrange multiplier method
